## python-diaspy 0.5.1

=== requirements.txt ===
diaspy
requests==1.1.0

## python-diaspy 0.5.0.1

=== debian/changelog ===
python-diaspy (0.5.0.1-2) unstable; urgency=low

  * Fix build-dep (Closes: #802119). Thanks Chris West!

 -- W. Martin Borgert <debacle@debian.org>  Sun, 18 Oct 2015 10:13:44 +0000

python-diaspy (0.5.0.1-1) unstable; urgency=low

  * Initial release (Closes: #794531).

 -- W. Martin Borgert <debacle@debian.org>  Sun, 09 Aug 2015 08:10:40 +0000

=== debian/control ===
Source: python-diaspy
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3),
               python-setuptools (>= 0.6b3),
               python3-all,
               python3-setuptools,
               dh-python,
               python-markdown,
               python-requests,
               python3-requests,
Homepage: https://github.com/marekjm/diaspy/
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-diaspy.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-diaspy.git

Package: python-diaspy
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python (>= 2.7),
         python-requests,
         python-requests-oauthlib,
         python-pyasn1,
Suggests: python-openssl,
Description: unofficial interface to the Diaspora social network (Python 2)
 diaspy is a set of modules which form an Python interface to the
 API of Disapora* social network.
 .
 This package provides the diaspy Python module for Python 2.x.

Package: python3-diaspy
Architecture: all
Depends: ${misc:Depends}, 
         ${python3:Depends}, 
         python3-requests, 
         python3-requests-oauthlib
Description: unofficial interface to the Diaspora social network (Python 3)
 diaspy is a set of modules which form an Python interface to the
 API of Disapora* social network.
 .
 This package provides the diaspy Python module for Python 3.x.

Package: python-diaspy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: unofficial interface to the Diaspora social network (documentation)
 diaspy is a set of modules which form an Python interface to the
 API of Disapora* social network.
 .
 This package provides the common documentation for the diaspy Python
 module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=diaspy

%:
	dh $@ --buildsystem=pybuild --with python2,python3

override_dh_auto_build:
	dh_auto_build
	for md in manual/*.markdown; do \
	    markdown_py $$md > manual/$$(basename $$md .markdown).html; \
	done

override_dh_clean:
	dh_clean
	rm -f manual/*.html

## python-diaspy 0.5.1

=== debian/changelog ===
python-diaspy (0.5.1-2) unstable; urgency=medium

    [ Ondřej Nový 2016-03-29 ]
  * Fixed VCS URL (https)

 -- W. Martin Borgert <debacle@debian.org>  Sun, 22 Jan 2017 13:09:22 +0000

python-diaspy (0.5.1-1) unstable; urgency=medium

  * New upstream release

 -- W. Martin Borgert <debacle@debian.org>  Sun, 22 Jan 2017 12:49:50 +0000

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                python-requests,
                python3-requests,
 Homepage: https://github.com/marekjm/diaspy/
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-diaspy.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-diaspy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-diaspy.git
 
 Package: python-diaspy

## python-diaspy 0.6.0

=== Makefile ===
.PHONY: style-check test

style-check:
	flake8 --max-complexity 6 ./diaspy/

test:
	python3 -m unittest --verbose --catch --failfast tests.py

test-python2:
	python2 -m unittest --verbose --catch --failfast tests

clean:
	rm -v ./{diaspy/,}*.pyc
	rm -rv ./{diaspy/,}__pycache__/

install:
	python setup.py install
	rm -rvf dist/
	rm -rvf diaspy.egg-info

=== requirements.txt ===
diaspy
requests==1.1.0
dateutil>=2.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rvf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/diaspy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/diaspy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/diaspy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/diaspy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-diaspy (0.6.0-6) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * QA Upload.
    Orphan package - see bug 1021902.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 29 Nov 2022 16:12:47 +0000

python-diaspy (0.6.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 18:34:40 +0100

python-diaspy (0.6.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-diaspy-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 11:43:18 +0100

python-diaspy (0.6.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 00:07:11 -0400

python-diaspy (0.6.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 08 Aug 2019 00:02:08 +0500

python-diaspy (0.6.0-1) unstable; urgency=medium

  * New upstream release

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout

 -- W. Martin Borgert <debacle@debian.org>  Sun, 11 Nov 2018 19:22:44 +0000

=== debian/control ===
Source: python-diaspy
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-dateutil,
               python3-markdown,
               python3-requests,
               python3-setuptools,
Homepage: https://github.com/marekjm/diaspy/
Standards-Version: 3.9.8
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-diaspy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-diaspy

Package: python3-diaspy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-dateutil,
         python3-requests,
         python3-requests-oauthlib,
Recommends: python3-bs4,
Description: unofficial interface to the Diaspora social network (Python 3)
 diaspy is a set of modules which form an Python interface to the
 API of Disapora* social network.
 .
 This package provides the diaspy Python module for Python 3.x.

Package: python-diaspy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: unofficial interface to the Diaspora social network (documentation)
 diaspy is a set of modules which form an Python interface to the
 API of Disapora* social network.
 .
 This package provides the common documentation for the diaspy Python
 module.

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/diaspy-$1\.tar\.gz/ \
  https://github.com/marekjm/diaspy/tags .*/v?(\d\S*)\.tar\.gz
